INTERFACE
SUBROUTINE LACDYN(&
 & CDCONF,KST,KPROF,PDT,&
 & PVCRSSA9F,PNHXT9,PVCRSSA0F,PVCASRS0F,PVCASRS0H,PVCW0F,PWDLW0F,&
 & PRDLR0,PRDLR9,PNHXT0,&
 & PRES0,PKAP0,PRDELP0,PEVEL0,PVVEL0,PSDVBC0,PSGRTL,PSGRTM,&
 & PSLHDA,PSLHDD0,PLHU0,PLHV0,&
 & PGM ,PGNORDL,PGNORDM,PRCORI,PRCORIC,PGOMVRL,PGOMVRM,&
 & POROG ,POROGL,POROGM,&
 & PTNDPD,PTNDVD,PTNDGW,P3DIVG,PD3Y0,PD3Y9,PDBBC,PRDPHI,PGWT0,PGWT9,&
 & PGFL,&
 & PGMV,PGMVS,PB1,PB2,PGMVT1,PGMVT1S,PGWS) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA ,NPROMNH ,NPROMVC ,NPROMDLW ,NPROMDLR ,&
 & NFLEVG ,NFLSA ,NFLEN 
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB2
USE YOMGMV , ONLY : NDIMGMV ,NDIMGMVS ,YT0 ,YT1 ,YT9
USE YOM_YGFL , ONLY : YGFL
USE PAR_RDLR , ONLY : JP_DIMR0 ,JP_DIMR9
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PDT
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSA9F(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PNHXT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCRSSA0F(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRS0F(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCASRS0H(NPROMVC,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCW0F(NPROMVC,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PWDLW0F(NPROMDLW,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDLR0(NPROMDLR,0:NFLEVG,JP_DIMR0)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDLR9(NPROMDLR,0:NFLEVG,JP_DIMR9)
REAL(KIND=JPRB) ,INTENT(IN) :: PNHXT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRES0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVVEL0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSDVBC0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLHDA(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLHDD0(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PLHU0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLHV0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORIC(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGOMVRL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGOMVRM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTNDPD(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTNDVD(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTNDGW(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: P3DIVG(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PD3Y0(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PD3Y9(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDBBC(NPROMNH)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDPHI(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGWT0(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGWT9(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1S(NPROMA,YT1%NDIMS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGWS(NPROMNH)
END SUBROUTINE LACDYN
END INTERFACE
